package com.ruoyi.project.training.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 人员培训时长
 *
 * @author ruoyi
 * @date 2020-11-25
 */
public class TTrainingTime extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 员工编号 */
    @Excel(name = "员工编号")
    private String staffid;

    /** 员工姓名 */
    @Excel(name = "员工姓名")
    private String name;

    /** 班值 */
    @Excel(name = "班值", dictType = "TEAM_DIVIDE")
    private String team;

    /** 实际岗位 */
    @Excel(name = "实际岗位", dictType = "ACTUALPOST")
    private String actualpost;

    /** 培训时长 */
    @Excel(name = "培训时长")
    private String trainingTime;

    public void setStaffid(String staffid)
    {
        this.staffid = staffid;
    }

    public String getStaffid()
    {
        return staffid;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setTeam(String team)
    {
        this.team = team;
    }

    public String getTeam()
    {
        return team;
    }
    public void setActualpost(String actualpost)
    {
        this.actualpost = actualpost;
    }

    public String getActualpost()
    {
        return actualpost;
    }
    public String getTrainingTime() { return trainingTime; }

    public void setTrainingTime(String trainingTime) { this.trainingTime = trainingTime; }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("staffid", getStaffid())
                .append("name", getName())
                .append("team", getTeam())
                .append("actualpost", getActualpost())
                .append("trainingTime", getTrainingTime())
                .toString();
    }
}
